{
  "name": "multi-stub",
  "version": "2.0.0",
  "description": "",
  "main": "server/index.ts",
  "type": "commonjs",
  "scripts": {
    "start": "cross-env NODE_ENV=\"development\" ts-node-dev .",
    "build": "tsc",
    "up:prod": "node dist/server/index.js",
    "eslint": "npx eslint ./server",
    "eslint:fix": "npx eslint ./server --fix",
    "test": "jest"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@bitbucket.org/online-mentor/multi-stub.git"
  },
  "keywords": [],
  "author": "",
  "license": "MIT",
  "homepage": "https://bitbucket.org/online-mentor/multi-stub#readme",
  "dependencies": {
    "@langchain/community": "^0.3.56",
    "@langchain/core": "^0.3.77",
    "@langchain/langgraph": "^0.4.9",
    "ai": "^4.1.13",
    "axios": "^1.7.7",
    "bcrypt": "^5.1.0",
    "bcryptjs": "^3.0.3",
    "body-parser": "^1.19.0",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "cross-env": "^7.0.3",
    "crypto-js": "^4.2.0",
    "dotenv": "^16.4.7",
    "express": "5.0.1",
    "express-jwt": "^8.5.1",
    "express-session": "^1.18.1",
    "gigachat": "^0.0.16",
    "jsdom": "^25.0.1",
    "jsonwebtoken": "^9.0.2",
    "langchain": "^0.3.34",
    "langchain-gigachat": "^0.0.14",
    "mongodb": "^6.20.0",
    "mongoose": "^8.18.2",
    "mongoose-sequence": "^6.0.1",
    "morgan": "^1.10.1",
    "multer": "^1.4.5-lts.1",
    "pbkdf2-password": "^1.2.1",
    "rotating-file-stream": "^3.2.5",
    "socket.io": "^4.8.1",
    "zod": "^3.24.3"
  },
  "devDependencies": {
    "@eslint/js": "^9.17.0",
    "@types/node": "22.10.2",
    "eslint": "^9.17.0",
    "globals": "^15.14.0",
    "jest": "^29.7.0",
    "mockingoose": "^2.16.2",
    "nodemon": "3.1.9",
    "supertest": "^7.0.0",
    "ts-node-dev": "2.0.0",
    "typescript": "5.7.3"
  }
}
